For the complete documentation index, see llms.txt. This page is also available as Markdown.

Service connectors

List Service Connectors

get

Get a list of all service connectors.

Args: connector_filter_model: Filter model used for pagination, sorting, filtering project_name_or_id: Optional name or ID of the project to filter by. expand_secrets: Whether to expand secrets or not. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: Page with list of service connectors matching the filter criteria.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
project_name_or_idany of · nullableOptional
stringOptional
or
string · uuidOptional
expand_secretsbooleanOptionalDefault: true
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
nameany of · nullableOptional
stringOptional
or
string[]Optional
connector_typeany of · nullableOptional
stringOptional
or
string[]Optional
auth_methodany of · nullableOptional
stringOptional
or
string[]Optional
resource_typestring · nullableOptional
resource_idstring · nullableOptional
labels_strstring · nullableOptional
Body
Other propertiesstring · nullableOptional
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/service_connectors

Get Service Connector

get

Returns the requested service connector.

Args: connector_id: ID of the service connector. expand_secrets: Whether to expand secrets or not. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The requested service connector.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
connector_idstring · uuidRequired
Query parameters
expand_secretsbooleanOptionalDefault: true
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for service connectors.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/service_connectors/{connector_id}

Update Service Connector

put

Updates a service connector.

Args: connector_id: ID of the service connector. connector_update: Service connector to use to update.

Returns: Updated service connector.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
connector_idstring · uuidRequired
Body

Model used for service connector updates.

Most fields in the update model are optional and will not be updated if omitted. However, the following fields are "special" and leaving them out will also cause the corresponding value to be removed from the service connector in the database:

  • the resource_id field
  • the expiration_seconds field

In addition to the above exceptions, the following rules apply:

  • the configuration field represents a full valid configuration update, not just a partial update. If it is set (i.e. not None) in the update, its values will replace the existing configuration values.
  • the labels field is also a full labels update: if set (i.e. not None), all existing labels are removed and replaced by the new labels in the update.

NOTE: the attributes here override the ones in the base class, so they have a None default value.

namestring · max: 255 · nullableOptional
connector_typeany of · nullableOptional
stringOptional
or
descriptionstring · nullableOptional
auth_methodstring · max: 255 · nullableOptional
resource_typesstring[] · nullableOptional
resource_idstring · max: 255 · nullableOptional
supports_instancesboolean · nullableOptional
expires_atstring · date-time · nullableOptional
expires_skew_toleranceinteger · nullableOptional
expiration_secondsinteger · nullableOptional
Responses
200

Successful Response

application/json

Response model for service connectors.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/service_connectors/{connector_id}

Delete Service Connector

delete

Deletes a service connector.

Args: connector_id: ID of the service connector.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
connector_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/service_connectors/{connector_id}

No content

ZenML Scarf

Last updated

Was this helpful?